#ifndef LEDCONTROL_H
#define LEDCONTROL_H

#include <QObject>
#include <QTimer>
#include <QDebug>

#include <stdio.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>

#include <linux/i2c.h>
#include <linux/i2c-dev.h>
#include <sys/ioctl.h>

class ledcontrol : public QObject
{
    Q_OBJECT
public:
    explicit ledcontrol(QObject *parent = nullptr);
    ~ledcontrol();
private:
    int fd = 0;
    void ledWrite(int slave_addr,int w_b,int len);

signals:
    void SilencingKeyClick();
private slots:
    void onTimerTimeOutSilencer();
    void onLedControl(int);
};

#endif // LEDCONTROL_H
